#%RAML 1.0
version: v1
title: Send SMS Function API
description: API for sending SMS

types:
  smsRequest: !include Datatype/smsRequest.raml
  smsResponseSuccess: !include Datatype/smsResponseSuccess.raml
  smsResponseError: !include exchange_modules/a9d53ff2-5476-4a1f-8d1a-b19eb82612cc/api-response-datatype-api/1.0.0/api-response-datatype-api.raml

traits:
  headerTrait: !include exchange_modules/a9d53ff2-5476-4a1f-8d1a-b19eb82612cc/header-securable/1.0.0/header-securable.raml

/sms:
  post:
    is:
      - headerTrait
    description: SMS Messaging API
    headers:
      correlationid:
        type: string
        description: Tranasction ID that is passed on from the previous API
        example: "0-dbfedf90-284c-11e9-ac48-dca90494651"
    body:
      application/json:
        type: smsRequest
        example:
          !include Examples/smsRequestExample.json
    responses:
      200:
        body:
          application/json:
            type: smsResponseSuccess
            example:
              !include Examples/smsResponseSuccessExample.json
      400:
        body:
          application/json:
            type: smsResponseError
            example: !include Examples/smsResponseError400Example.json
      404:
        body:
          application/json:
            type: smsResponseError
            example: !include Examples/smsResponseError404Example.json 
      405:
        body:
          application/json:
            type: smsResponseError
            example: !include Examples/smsResponseError405Example.json
      406:
        body:
          application/json:
            type: smsResponseError
            example: !include Examples/smsResponseError406Example.json
      415:
        body:
          application/json:
            type: smsResponseError
            example: !include Examples/smsResponseError415Example.json
      501:
        body:
          application/json:
            type: smsResponseError
            example: !include Examples/smsResponseError501Example.json
      500:
        body:
          application/json:
            type: smsResponseError
            example: !include Examples/smsResponseError400Example.json